xssl_printf(3)

NAME
xssl_printf - API function

SYNOPSIS
#include <gnutls/xssl.h>

ssize_t xssl_printf(xssl_t sb, const char * fmt, ...);

ARGUMENTS

xssl_t sb
    is a xssl_t structure.

const char * fmt
    printf-style format

... -- undescribed --

DESCRIPTION
This function allows writing to a xssl_t using printf style arguments. This function must only be used with blocking sockets.

RETURNS
On success, the number of bytes written is returned, otherwise an error code is returned.

SINCE
3.1.7

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/